Bug 476434 - system-config-keyboard gives hal error "ERROR:dbus.proxies:Introspect error on :1.0:/org/freedesktop/Hal/Manager"
system-config-keyboard gives hal error "ERROR:dbus.proxies:Introspect error o...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-keyboard (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-14 12:47 EST by Jonathan Wakely
Modified: 2009-12-18 02:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:17:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Wakely 2008-12-14 12:47:57 EST
Description of problem:
running system-config-keyboard prints the following error:
ERROR:dbus.proxies:Introspect error on :1.0:/org/freedesktop/Hal/Manager: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: A security policy in place prevents this sender from sending this message to this recipient, see message bus configuration file (rejected message had interface "org.freedesktop.DBus.Introspectable" member "Introspect" error name "(unset)" destination ":1.0")


Version-Release number of selected component (if applicable):
system-config-keyboard-1.2.15-4.fc10.noarch
hal-0.5.12-12.20081027git.fc10.x86_64


How reproducible:
always

Steps to Reproduce:
1. run system-config-keyboard as root

  
Actual results:
Currently configured keyboard (United Kingdom) is selected in the GUI

Expected results:
Error show above, and first entry in the list (Arabic (azerty)" is selected.

Additional info:
My gb keymap isn't working since upgrading to f10, I don't know if this is related, but I noticed this while trying to fix it.
Comment 1 santiago angel 2008-12-16 03:03:00 EST
After a software update in Fedora 10 system-config-keyboard and bluetooth does not work
Comment 2 Jonathan Wakely 2008-12-17 17:18:43 EST
for the record, my keymap problem went away when I disabled keyboard layouts in KDE system settings.

I still get the error from system-config-keyboard
Comment 3 Bug Zapper 2009-11-18 05:28:28 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 02:17:49 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.